%define name	newton
%define version	0.0.9
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	A desktop wiki for GNOME
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/newton/%{name}-%{version}.tar.bz2
URL:		http://newton.sourceforge.net/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	gnome-python 
BuildRequires:  pygtk2.0
BuildRequires:  perl-XML-Parser
Requires:	pygtk2.0 pygtk2.0-libglade
Requires:	gnome-python gnome-python-gnomevfs
Requires:	gnome-python-bonobo gnome-python-applet
Requires:	gnome-python-gconf gnome-python-gtkmozembed 
Requires:	gnome-python-gtkspell
Requires(post): GConf2
Requires(preun):GConf2
BuildArch:	noarch

%description
Newton is a desktop wiki applet for the GNOME2 desktop environment. You enter
your notes and information in a simple wiki-like syntax and Newton formats it
in rich HTML for you! It is designed to make the creation of richly formatted
documents of any type as simple and quick as possible.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Newton" longtitle="Desktop Wiki" section="Office/Accessories"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert data/%{name}.svg -resize 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert data/%{name}.svg -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert data/%{name}.svg -resize 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/newton.schemas > /dev/null

%preun
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/newton.schemas > /dev/null

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/%{name}
%{_libdir}/bonobo/servers/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_libdir}/python*/site-packages/*
%{_datadir}/gnome-2.0/ui/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Wed May 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.9-4mdk
- use imagemagick to convert icons as rsvg fails at it

* Thu Mar 23 2006 Austin Acton <austin@mandriva.org> 0.0.9-3mdk
- requires gtkspell
- do a better job of converting icons

* Wed Dec 07 2005 Nicolas L?cureuil <neoclust@mandriva.org> 0.0.9-2mdk
- Fix buildrequires
- use mkrel

* Thu Dec 1 2005 Austin Acton <austin@mandriva.org> 0.0.9-1mdk
- initial package
